#include "FCABackupAppUi.h"
#include "FCABackupDocument.h"

// Standard Symbian OS construction sequence
CFCABackupDocument* CFCABackupDocument::NewL(CEikApplication& aApp)
    {
    CFCABackupDocument* self = NewLC(aApp);
    CleanupStack::Pop(self);
    return self;
    }

CFCABackupDocument* CFCABackupDocument::NewLC(CEikApplication& aApp)
    {
    CFCABackupDocument* self = new (ELeave) CFCABackupDocument(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
    }

void CFCABackupDocument::ConstructL()
    {
    // No implementation required
    }    

CFCABackupDocument::CFCABackupDocument(CEikApplication& aApp) : CAknDocument(aApp) 
    {
    // No implementation required
    }   

CFCABackupDocument::~CFCABackupDocument()
    {
    // No implementation required
    }

CEikAppUi* CFCABackupDocument::CreateAppUiL()
    {
    // Create the application user interface, and return a pointer to it,
    // the framework takes ownership of this object
    CEikAppUi* appUi = new (ELeave) CFCABackupAppUi;
    return appUi;
    }

